#### OKEYPOSITION

#### Synopsis

    HELP:   (HOST) Key position of output KSDS [1]
    TYPE:   NUMBER
    SYNTAX: OKEYPOSITION/OKEYPOS/OKEYP=num

#### Description

Key position of output file (z/OS only).

This value must only be specified if the key length differs from the original file. The position of the record key is defined independently from the properties of a particular operating system as the relative position within the data part of the record. The first byte has position 1.

See also parameter OKEYLENGTH.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `OKEYPOS=n`
  - `OKEYP=n`

Values

- z/OS
  - 0, 1 - (record length - key length + 1)

Default

- z/OS
  - 1 or the value from the file header.

Valid for

- decompression